REBOOT(8)

NAME
reboot, halt - stopping and restarting the system

SYNOPSIS
halt [-nq]
reboot [-nq]
fasthalt [-nq]
fastboot [-nq]

DESCRIPTION
The halt and reboot utilities flush the file system cache to disk, send all running processes a SIGTERM (and subsequently a SIGKILL) and, respectively, halt or restart the system. The action is logged, including entering a shutdown record into the login accounting file.

The options are as follows:

-n  If the -n option is specified, the file system cache is not flushed. This option should probably not be used.

-q  If the -q option is specified, the system is halted or restarted quickly and ungracefully, and only the flushing of the file system cache is performed. This option should probably not be used.

The fasthalt and fastboot utilities are nothing more than aliases for the halt and reboot utilities.

Normally, the shutdown(8) utility is used when the system needs to be halted or restarted, giving users advance warning of their impending doom.

SEE ALSO
utmp(5), boot(8), shutdown(8), sync(8)

HISTORY
A reboot command appeared in AT&T UNIX.